Subject: [Sip] 302 question

From: Mihaly Zachar <[email-masked]>
Date: Tue, 02 Oct 2007 19:32:50 +0200

Hi all,

I'm writing an UAS.

The UAS has a feature, that if the called number is matching with a 
pattern, it will send 183 Session in progress, than plays an RTP stream 
and then redirect the UAC with 302 Moved Temporarily..

There is an UAC, and it's developers says that I should not send 302 
Redirect after the 183 Session in progress.

This solution works well with CISCO media gateways.

I could not find the exact paraghaph about it in the RFC 3261.

Can sy help me in this ?

So, the call flow is the following:

UAC                      UAS
     --- INVITE --->
     <--- 100 ------
     <--- 183 ------
     <-- RTP --
          .
          .
          .
     <--- 302 ----

Is this correct ?

Thanks,
Misi

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: [email-masked]
Date: Tue, 2 Oct 2007 13:52:35 -0400

From: Mihaly Zachar <[email-masked]>

I believe the developers are incorrect.  In RFC 3261, section 13.1,
top of page 78, we see:

   After some time, those UASs can accept the invitation (meaning the
   session is to be established) by sending a 2xx response.  If the
   invitation is not accepted, a 3xx, 4xx, 5xx or 6xx response is
   sent, depending on the reason for the rejection.  Before sending a
   final response, the UAS can also send provisional responses (1xx)
   to advise the UAC of progress in contacting the called user.

   After possibly receiving one or more provisional responses, the UAC
   will get one or more 2xx responses or one non-2xx final response.

This text implies that a provisional response may precede a non-2xx
final response.

Dale

---

From: "Brian Stucker" <[email-masked]>
Date: Wed, 3 Oct 2007 21:15:55 -0500

The developers are definitely incorrect. The 302 might not even be
originating from your UAS. It could have been a device further upstream
that triggered the 302 (and/or yet another device that triggered the 183
for that matter).

Regards,
Brian 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: Tuesday, October 02, 2007 12:53 PM
> To: [email-masked]
> Subject: Re: [Sip] 302 question
> 
> I believe the developers are incorrect.  In RFC 3261, section 
> 13.1, top of page 78, we see:
> 
> This text implies that a provisional response may precede a 
> non-2xx final response.
> 
> Dale
> 
> 
> This list is for NEW development of the core SIP Protocol Use 
> [email-masked] for questions on current sip

---

From: Mihaly Zachar <[email-masked]>
Date: Thu, 04 Oct 2007 11:46:05 +0200

Thanks to Dale and Brian for these answers.
The firmware developers have acknowledged my valid point, so we won the war.

As I can see, this list is not for like these kind of questions, I very 
appreciate your answers here.

Thanks,
Misi

---

From: [email-masked]
Date: Thu, 4 Oct 2007 07:56:06 -0400

As I can see, this list is not for like these kind of questions, I
   very appreciate your answers here.

You may want to subscribe to the SIP-Implementors mailing list,
<[email-masked]>.

Dale